<div class="container">

  <app-section-head sectionTitle="Create Pool" [displayBackBtn]="true" (back)="back()"></app-section-head>

  <div class="relative">

    <app-asset-input
      label="Input"
      [(selectedAsset)]="asset"
      [(assetUnit)]="assetAmount"
      [balance]="assetBalance"
      [disabledAssetSymbol]="cacao.symbol"
      [selectableMarkets]="selectableMarkets">
    </app-asset-input>

    <div class="flex items-center justify-center">
      <mat-icon [class.disabled]="true" class="to-btn-icon text-sm">add</mat-icon>
    </div>

    <app-asset-input
      label="Input"
      [(selectedAsset)]="cacao"
      [(assetUnit)]="cacaoAmount"
      [balance]="cacaoBalance"
      [hideMax]="true"
      [disabledMarketSelect]="true"
      [disabledAssetSymbol]="cacao.symbol">
    </app-asset-input>

    <div class="flex justify-between mb-2">
      <span class="tx-detail-label">Recommended CACAO Total</span>
      <span *ngIf="recommendedCacaoAmount">{{ recommendedCacaoAmount | number:"0.0-0" }}</span>
      <span *ngIf="!recommendedCacaoAmount"> - </span>
    </div>


    <div class="italic text-xs">
      *A minimum of 1,000 CACAO + balancing asset is required to create a pool
    </div>

    <div class="flex justify-between swap-details">
      <span class="tx-detail-label">Fees</span>
      <span *ngIf="networkFee">{{networkFee}} {{asset.chain}}</span>
      <span *ngIf="!networkFee">-</span>
    </div>

    <div class="flex justify-between swap-details">
      <span class="tx-detail-label"></span>
      <span *ngIf="cacaoFee">{{cacaoFee | number:"1.0-4"}} CACAO</span>
      <span *ngIf="!cacaoFee">-</span>
    </div>

    <div class="flex">
      <app-approve-eth-contract
        *ngIf="ethContractApprovalRequired"
        class="w-1/2 mr-2"
        [contractAddress]="ethRouter"
        [asset]="asset"
        (approved)="contractApproved()">
      </app-approve-eth-contract>

      <button
        (click)="openConfirmationDialog()"
        class="main-action-btn"
        mat-flat-button
        color="primary"
        [ngClass]="ethContractApprovalRequired ? 'w-1/2' : 'w-full'"
        [disabled]="formDisabled()">
          {{mainButtonText()}}
      </button>
    </div>

  </div>

</div>
